BEGIN BKido

CHAIN
  IF ~Global("KidoquestionMinsc","GLOBAL",0)
  InParty("Minsc")
  See("Minsc")
  !StateCheck("Minsc",STATE_SLEEPING)~ THEN BKIDO mayIwrite
  @0
DO ~SetGlobal("KidoquestionMinsc","GLOBAL",1)~
 == BMINSC
 @1
 == BKIDO
 @2
 == BMINSC
 @3 
 == BKIDO
 @4
EXIT

CHAIN
  IF ~Global("Minscimpatience","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  Global("KidoquestionMinsc","GLOBAL",1)
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BMINSC stillbusy
  @5
DO ~SetGlobal("Minscimpatience","GLOBAL",1)~
 == BKIDO
 @6
 == BMINSC
 @7
 == BKIDO
 @8
 == BMINSC
 @9
EXIT

CHAIN
  IF ~Global("Songfinished","LOCALS",0)
  InParty("Minsc")
  See("Minsc")
  Global("KidoquestionMinsc","GLOBAL",1)
  Global("Minscimpatience","GLOBAL",1)
  !StateCheck("Minsc",STATE_SLEEPING)~ THEN BKIDO greatsong
  @10
DO ~SetGlobal("Songfinished","LOCALS",1)~
 == BMINSC
 @11 
 == BKIDO
 @12
 END
 IF ~~ THEN REPLY @13 EXTERN BKIDO anyway
 IF ~~ THEN REPLY @14 EXTERN BKIDO anyway
 IF ~~ THEN REPLY @15 EXTERN BKIDO anyway

CHAIN
  IF ~Global("Songfinished","LOCALS",1)
  InParty("Minsc")
  See("Minsc")
  Global("KidoquestionMinsc","GLOBAL",1)
  Global("Minscimpatience","GLOBAL",1)
  !StateCheck("Minsc",STATE_SLEEPING)~ THEN BKIDO anyway
 @16 DO ~ SetGlobal("Songfinished","LOCALS",2)~
 =
 @17
 =
 @18
 == BMINSC
 @19
 == BKIDO
 @20
 == BMINSC
 @21
 == BKIDO
 @22
EXIT

CHAIN
  IF ~Global("determinebalance","GLOBAL",0)
  InParty("Jaheira")
  See("Jaheira")
  !StateCheck("Jaheira",STATE_SLEEPING)~ THEN BKIDO fireoneonja
  @23
DO ~SetGlobal("determinebalance","GLOBAL",1)~
 == BJAHEIR
 @24
 == BKIDO
 @25
 == BJAHEIR
 @26
 == BKIDO
 @27
 == BJAHEIR
 @28
 == BKIDO
 @29
 == BJAHEIR
 @30
 == BKIDO
 @31
 == BJAHEIR
 @32
 == BKIDO
 @33
EXIT

CHAIN
  IF ~Global("tiredofyourselfquestion","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  Global("determinebalance","GLOBAL",1)
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BJAHEIR returnedfire
  @34
DO ~SetGlobal("tiredofyourselfquestion","GLOBAL",1)~
 == BKIDO
 @35
 == BJAHEIR
 @36
 == BKIDO
 @37
 == BJAHEIR
 @38
 == BKIDO
 @39
 == BJAHEIR
 @40
 == BKIDO
 @41
 == BJAHEIR
 @42
 == BKIDO
 @43
 == BJAHEIR
 @44
 == BKIDO
 @45
EXIT

CHAIN
  IF ~Global("definecrazy","GLOBAL",0)
  InParty("Imoen2")
  See("Imoen2")
  !StateCheck("Imoen2",STATE_SLEEPING)~ THEN BKIDO crazyanswer
  @46
DO ~SetGlobal("definecrazy","GLOBAL",1)~
 == IMOEN2J 
 @47
 == BKIDO
 @48
 == IMOEN2J
 @49
 == BKIDO
 @50
 == IMOEN2J
 @51
EXIT

CHAIN
  IF ~Global("Iwannatorture","LOCALS",0)
  InParty("Imoen2")
  See("Imoen2")
  Global("definecrazy","GLOBAL",1)
  !StateCheck("Imoen2",STATE_SLEEPING)~ THEN BKIDO cruelprank
  @52
DO ~SetGlobal("Iwannatorture","LOCALS",1)~
 == IMOEN2J
 @53
 == BKIDO
 @54
 == IMOEN2J
 @55
 == BKIDO
 @56
 == IMOEN2J
 @57
 == BKIDO
 @58
EXIT

CHAIN
  IF ~Global("Iknowmore","LOCALS",0)
  InParty("Yoshimo")
  See("Yoshimo")
  !StateCheck("Yoshimo",STATE_SLEEPING)~ THEN BKIDO spillit
  @59
DO ~SetGlobal("Iknowmore","LOCALS",1)~
 == BYOSHIM
 @60
 == BKIDO
 @61
 == BYOSHIM
 @62
 == BKIDO
 @63
EXIT

CHAIN
  IF ~Global("notourist","LOCALS",0)
  InParty("Yoshimo")
  See("Yoshimo")
  Global("Iknowmore","LOCALS",1)
  !StateCheck("Yoshimo",STATE_SLEEPING)~ THEN BKIDO needlessyell
  @64
DO ~SetGlobal("notourist","LOCALS",1)~
 == BYOSHIM
 @65
 == BKIDO
 @66
 == BYOSHIM
 @67
 == BKIDO
 @68
 == BYOSHIM
 @69
 == BKIDO
 @70
 == BYOSHIM
 @71
EXIT

CHAIN
  IF ~Global("Aerieprank","GLOBAL",0)
  InParty("Aerie")
  See("Aerie")
  !StateCheck("Aerie",STATE_SLEEPING)~ THEN BKIDO hurtaerie
  @72
DO ~SetGlobal("Aerieprank","GLOBAL",1)~
 == BAERIE
 @73
 == BKIDO
 @74
 == BAERIE
 @75
 == BKIDO
 @76
 == BAERIE
 @77
 END
 IF ~~ THEN REPLY @78 EXIT
 IF ~~ THEN REPLY @79 EXIT
 IF ~~ THEN REPLY @80 DO ~SetGlobal("AerieRomanceActive","GLOBAL",3)~ EXIT

CHAIN
  IF ~Global("mustbewrong","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  Global("Aerieprank","GLOBAL",1)
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BAERIE havetocheck
  @81
DO ~SetGlobal("mustbewrong","GLOBAL",1)~
 == BKIDO
 @82
 == BAERIE
 @83
 == BKIDO
 @84
 == BAERIE
 @85
 == BKIDO
 @86
 == BAERIE
 @87
 == BKIDO
 @88
EXIT

CHAIN
  IF ~Global("upsetkorganfirst","LOCALS",0)
  InParty("Korgan")
  See("Korgan")
  !StateCheck("Korgan",STATE_SLEEPING)~ THEN BKIDO deedee
  @46
DO ~SetGlobal("upsetkorganfirst","LOCALS",1)~
 == BKORGAN
 @89
 == BKIDO
 @90
 == BKORGAN
 @91
 == BKIDO
 @92
 == BKORGAN
 @93
 == BKIDO
 @94
 == BKORGAN
 @95
EXIT

CHAIN
  IF ~Global("upsetkorgansc","GLOBAL",0)
  InParty("Korgan")
  See("Korgan")
  Global("upsetkorganfirst","LOCALS",1)
  !StateCheck("Korgan",STATE_SLEEPING)~ THEN BKIDO deedo
  @96
DO ~SetGlobal("upsetkorgansc","GLOBAL",1)~
 == BKORGAN
 @97
 END
 IF ~~ THEN REPLY @98 EXTERN BKORGAN lastwarning
 IF ~~ THEN REPLY @99 EXTERN BKORGAN lastwarning
 IF ~~ THEN REPLY @100 EXTERN BKORGAN lastwarning

APPEND BKORGAN
 IF ~Global("luckybard","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  Global("upsetkorgansc","GLOBAL",1)
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BEGIN lastwarning
 SAY @101
 IF ~~ THEN DO ~SetGlobal("luckybard","GLOBAL",1)~ EXIT
END
END

CHAIN
  IF ~Global("janquietskido","LOCALS",0)
  InParty("Jan")
  See("Jan")
  !StateCheck("Jan",STATE_SLEEPING)~ THEN BKIDO onionfaminehistory
  @102
DO ~SetGlobal("janquietskido","LOCALS",1)~
 == BJAN
 @103
 == BKIDO
 @104
 == BJAN
 @105
 == BKIDO
 @106
EXIT

CHAIN
  IF ~Global("askjanagain","GLOBAL",0)
  InParty("Jan")
  See("Jan")
  Global("janquietskido","LOCALS",1)
  !StateCheck("Jan",STATE_SLEEPING)~ THEN BKIDO finallyanswer
  @107
DO ~SetGlobal("askjanagain","GLOBAL",1)~
 == BJAN
 @108
 == BKIDO
 @109
 == BJAN
 @110
 == BKIDO
 @111
 == BJAN
 @112
 == BKIDO
 @113
 == BJAN
 @114
EXIT

CHAIN
  IF ~Global("screwseverywhere","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  Global("askjanagain","GLOBAL",1)
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BJAN screwyquestion
  @115
DO ~SetGlobal("screwseverywhere","GLOBAL",1)~
 == BKIDO
 @116
 == BJAN
 @117
 == BKIDO
 @118
 == BJAN
 @119
 == BKIDO
 @120
EXIT

CHAIN
  IF ~Global("kidofirstmove","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BVICONI stopstarring
  @121
DO ~SetGlobal("kidofirstmove","GLOBAL",1)~
 == BKIDO
 @122
 == BVICONI
 @123
 == BKIDO
 @124
 == BVICONI
 @125
EXIT

CHAIN
  IF ~Global("kidoscmove","LOCALS",0)
  InParty("Viconia")
  See("Viconia")
  Global("kidofirstmove","GLOBAL",1)
  !StateCheck("Viconia",STATE_SLEEPING)~ THEN BKIDO moveonviconia
  @126
DO ~SetGlobal("kidoscmove","LOCALS",1)~
 == BVICONI
 @127
 == BKIDO
 @128
 == BVICONI
 @129
 == BKIDO
 @130
 == BVICONI
 @49
 == BKIDO
 @131
 == BVICONI
 @132
 == BKIDO
 @133
EXIT

CHAIN
  IF ~Global("kidoquitsthelove","LOCALS",0)
  InParty("Viconia")
  See("Viconia")
  Global("kidofirstmove","GLOBAL",1)
  Global("kidoscmove","LOCALS",1)
  !StateCheck("Viconia",STATE_SLEEPING)~ THEN BKIDO moreornothing
  @134
DO ~SetGlobal("kidoquitsthelove","LOCALS",1)~
 == BVICONI
 @135
 == BKIDO
 @136
 == BVICONI
 @137
 == BKIDO
 @138
 == BVICONI
 @139
EXIT

CHAIN
  IF ~Global("pikeit","LOCALS",0)
  InParty("HaerDalis")
  See("HaerDalis")
  !StateCheck("HaerDalis",STATE_SLEEPING)~ THEN BKIDO berk
  @140
DO ~SetGlobal("pikeit","LOCALS",1)~
 == BHAERDA
 @141
 == BKIDO
 @142
 == BHAERDA
 @143
 == BKIDO
 @144
 == BHAERDA
 @145
 == BKIDO
 @146
 == BHAERDA
 @147
 == BKIDO
 @148
EXIT

CHAIN
  IF ~Global("notchaond","LOCALS",0)
  InParty("HaerDalis")
  See("HaerDalis")
  Global("pikeit","LOCALS",1)
  !StateCheck("HaerDalis",STATE_SLEEPING)~ THEN BKIDO chaonddis
  @149
DO ~SetGlobal("notchaond","LOCALS",1)~
 == BHAERDA
 @150
 == BKIDO
 @151
 == BHAERDA
 @152
 == BKIDO
 @153
 == BHAERDA
 @154
 == BKIDO
 @155
 == BHAERDA
 @156
 == BKIDO
 @157
 == BHAERDA
 @158
 == BKIDO
 @159
 == BHAERDA
 @160
 == BKIDO
 @161
 == BHAERDA
 @162
EXIT

CHAIN
  IF ~Global("artculture","LOCALS",0)
  InParty("HaerDalis")
  See("HaerDalis")
  Global("pikeit","LOCALS",1)
  Global("notchaond","LOCALS",1)
  !Global("EnteredThePortal","AR0510",1)
  !StateCheck("HaerDalis",STATE_SLEEPING)~ THEN BKIDO regularart
  @163
DO ~SetGlobal("artculture","LOCALS",1)~
 == BHAERDA
 @164
 == BKIDO
 @165
 == BHAERDA
 @166
 == BKIDO
 @167
 == BHAERDA
 @168
 == BKIDO
 @169
 == BHAERDA
 @170
EXIT

CHAIN
  IF ~Global("redwiztalk","LOCALS",0)
  InParty("Edwin")
  See("Edwin")
  !StateCheck("Edwin",STATE_SLEEPING)~ THEN BKIDO wanttobe
  @171
DO ~SetGlobal("redwiztalk","LOCALS",1)~
 == BEDWIN
 @172
 == BKIDO
 @173
 == BEDWIN
 @174
 == BKIDO
 @175
 == BEDWIN
 @176
 == BKIDO
 @177
 == BEDWIN
 @178
 == BKIDO
 @179
 == BEDWIN
 @180
 == BKIDO
 @181
EXIT

CHAIN
  IF ~Global("versatile","LOCALS",0)
  InParty("Edwin")
  See("Edwin")
  Global("redwiztalk","LOCALS",1)
  !StateCheck("Edwin",STATE_SLEEPING)~ THEN BKIDO intotalbetter
  @182
DO ~SetGlobal("versatile","LOCALS",1)~
 == BEDWIN
 @183
 == BKIDO
 @184
 == BEDWIN
 @185
 == BKIDO
 @186
 == BEDWIN
 @187
 =
 @188
 == BKIDO
 @189
 == BEDWIN
 @190
 == BKIDO
 @191
 == BEDWIN
 @192
 == BKIDO
 @193
 == BEDWIN
 @194
EXIT

CHAIN
  IF ~Global("nicenetherscroll","LOCALS",0)
  InParty("Edwin")
  See("Edwin")
  Gender("Edwin",FEMALE)
  !StateCheck("Edwin",STATE_SLEEPING)~ THEN BKIDO mockedwina
  @195
DO ~SetGlobal("nicenetherscroll","LOCALS",1)~
 == BEDWIN
 @196
 == BKIDO
 @197
 == BEDWIN
 @198
EXIT

CHAIN
  IF ~Global("tryracialhate","LOCALS",0)
  InParty("Mazzy")
  See("Mazzy")
  !StateCheck("Mazzy",STATE_SLEEPING)~ THEN BKIDO tryingoutmazzy
  @199
DO ~SetGlobal("tryracialhate","LOCALS",1)~
 == BMAZZY
 @200
 == BKIDO
 @201
 == BNALIA IF ~InParty("Nalia")~ THEN 
 @202
 == BMAZZY
 @203
 == BKIDO
 @204
 == BMAZZY
 @205
 == BKIDO
 @206
 == BMAZZY
 @207
 == BKIDO
 @208
 == BMAZZY
 @209
EXIT

CHAIN
  IF ~Global("childfetish","LOCALS",0)
  InParty("Mazzy")
  See("Mazzy")
  Global("tryracialhate","LOCALS",1)
  !StateCheck("Mazzy",STATE_SLEEPING)~ THEN BKIDO bugmazzy
  @210
DO ~SetGlobal("childfetish","LOCALS",1)~
 == BMAZZY
 @211
 == BKIDO
 @212
 == BMAZZY
 @213
 == BKIDO
 @214
 == BMAZZY
 @215
 == BKIDO
 @216
 == BMAZZY
 @217
 == BKIDO
 @218
 == BMAZZY
 @219
 == BKIDO
 @220
 == BMAZZY
 @221
EXIT

CHAIN
  IF ~Global("upsetthebal","LOCALS",0)
  InParty("Cernd")
  See("Cernd")
  !StateCheck("Cernd",STATE_SLEEPING)~ THEN BKIDO tryupsetc
  @222
DO ~SetGlobal("upsetthebal","LOCALS",1)~
 == BCERND
 @223
 == BKIDO
 @224
 == BCERND
 @225
 == BKIDO
 @226
EXIT

CHAIN
  IF ~Global("canIbelyc","LOCALS",0)
  InParty("Cernd")
  See("Cernd")
  Global("upsetthebal","LOCALS",1)
  !StateCheck("Cernd",STATE_SLEEPING)~ THEN BKIDO wannabelyc
  @227
DO ~SetGlobal("canIbelyc","LOCALS",1)~
 == BCERND
 @69
 == BKIDO
 @228
 == BCERND
 @229
 == BKIDO
 @230
EXIT

CHAIN
  IF ~Global("hurtpridea","LOCALS",0)
  InParty("Anomen")
  See("Anomen")
  !StateCheck("Anomen",STATE_SLEEPING)~ THEN BKIDO stabanomen
  @231
DO ~SetGlobal("hurtpridea","LOCALS",1)~
 == BANOMEN
 @232
 == BKIDO
 @233
 == BANOMEN
 @234
 == BKIDO
 @235
 == BANOMEN
 @236
 == BKIDO
 @237
 == BANOMEN
 @238
 == BKIDO
 @239
EXIT

CHAIN
  IF ~Global("stabanagain","LOCALS",0)
  InParty("Anomen")
  See("Anomen")
  Global("hurtpridea","LOCALS",1)
  !StateCheck("Anomen",STATE_SLEEPING)~ THEN BKIDO stabbingan
  @240
DO ~SetGlobal("stabanagain","LOCALS",1)~
 == BANOMEN
 @241
 == BKIDO
 @242
 == BANOMEN
 @243
 == BKIDO
 @244
 == BANOMEN
 @245
 == BKIDO
 @246
 == BANOMEN
 @247
 == BKIDO
 @248
 == BANOMEN
 @249
EXIT

CHAIN
  IF ~Global("KandAcombat","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  Global("AnomenIsKnight","GLOBAL",1)
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BANOMEN killkido
  @250
DO ~SetGlobal("KandAcombat","GLOBAL",1)~
 == BKIDO
 @251
 == BANOMEN
 @252
 == BKIDO
 @253
 == BANOMEN
 @254 DO ~ClearAllActions() ActionOverride(Anomen,Attack("DKido")) ActionOverride(DKido,Attack("Anomen"))~
EXIT

APPEND ANOMENJ
IF ~Global("finalconAak","GLOBAL",1)
  See("Player1")
  Dead("DKido")
  Global("KandAcombat","GLOBAL",1)
  !StateCheck("Player1",STATE_SLEEPING)~ THEN BEGIN lastquabkijo
 SAY @255
  IF ~Alignment(Player1,MASK_GOOD)~ THEN REPLY @256 DO ~SetGlobal("finalconAak","GLOBAL",2)~ GOTO iundnow
  IF ~~ THEN REPLY @257 DO ~SetGlobal("finalconAak","GLOBAL",2)~ GOTO iundnow
  IF ~~ THEN REPLY @258 DO ~SetGlobal("finalconAak","GLOBAL",2)~ GOTO iundnow
  IF ~~ THEN REPLY @259 DO ~SetGlobal("finalconAak","GLOBAL",2)~ GOTO iundnow
  IF ~Alignment(Player1,MASK_EVIL)~ THEN REPLY @260 DO ~SetGlobal("finalconAak","GLOBAL",2)~ GOTO fightpla1
END

IF ~Global("Anofightplay","GLOBAL",0)
  See("Player1")
  Dead("DKido")
  Global("KandAcombat","GLOBAL",1)
  Global("finalconAak","GLOBAL",2)
  !StateCheck("Player1",STATE_SLEEPING)~ THEN BEGIN fightpla1
 SAY @261
  IF ~~ THEN DO ~SetGlobal("Anofightplay","GLOBAL",1) ClearAllActions() Attack("Player1")~ EXIT
END

IF ~Global("Anomundnow","GLOBAL",0)
  See("Player1")
  Dead("DKido")
  Global("KandAcombat","GLOBAL",1)
  Global("finalconAak","GLOBAL",2)
  !StateCheck("Player1",STATE_SLEEPING)~ THEN BEGIN iundnow
 SAY @262
  IF ~~ THEN DO ~SetGlobal("Anomundnow","GLOBAL",1)~ EXIT
END
END

CHAIN
  IF ~Global("KcomfortsA","LOCALS",0)
  InParty("Anomen")
  See("Anomen")
  Global("AnomenIsNotKnight","GLOBAL",1)
  !StateCheck("Anomen",STATE_SLEEPING)~ THEN BKIDO cheerupA
  @263
DO ~SetGlobal("KcomfortsA","LOCALS",1)~
 == BANOMEN
 @264
 == BKIDO
 @265
 == BANOMEN
 @266
 == BKIDO
 @267
EXIT

CHAIN
  IF ~Global("stalkerfan","GLOBAL",0)
  InParty("Valygar")
  See("Valygar")
  !StateCheck("Valygar",STATE_SLEEPING)~ THEN BKIDO prankvalyga
  @268
DO ~SetGlobal("stalkerfan","LOCALS",1)~
 == BVALYGA
 @269
 == BKIDO
 @270
 == BVALYGA
 @271
 == BKIDO
 @272
 == BVALYGA
 @273
 == BKIDO
 @274
EXIT

CHAIN
  IF ~Global("hopestopkid","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  Global("stalkerfan","GLOBAL",1)
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BVALYGA stoptrykid
  @275
DO ~SetGlobal("hopestopkid","GLOBAL",1)~
 == BKIDO
 @276
 == BVALYGA
 @277
 == BKIDO
 @278
 == BVALYGA
 @279
 == BKIDO
 @280
 == BVALYGA
 @275
 == BKIDO
 @281
EXIT

CHAIN
  IF ~Global("understandno","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BNALIA KidoNalia1
  @282
DO ~SetGlobal("understandno","GLOBAL",1)~
 == BKIDO
 @283
 == BNALIA
 @284
 == BKIDO
 @285
 == BNALIA
 @286
 == BKIDO
 @287
 == BNALIA
 @288
EXIT

CHAIN
  IF ~Global("noremorse","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  Global("understandno","GLOBAL",1)
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BNALIA KidoNalia2
  @289
DO ~SetGlobal("noremorse","GLOBAL",1)~
 == BKIDO
 @290
 == BNALIA
 @291
 == BKIDO
 @292
 == BNALIA
 @293
 == BJAHEIR IF ~InParty("Jaheira")~ THEN 
 @294
 == BKIDO
 @295
EXIT

CHAIN
  IF ~Global("Iwillgo","GLOBAL",0)
  InParty("DKido")
  See("DKido")
  !StateCheck("DKido",STATE_SLEEPING)~ THEN BKELDOR KidoKeldorn1
  @296
DO ~SetGlobal("Iwillgo","GLOBAL",1)~
 == BKIDO
 @297
 == BKELDOR
 @298
 == BKIDO
 @299
 == BKELDOR
 @300  
END
 IF ~~ THEN REPLY @301 EXTERN BKIDO Kiwilepa
 IF ~~ THEN REPLY @302 EXTERN BKELDOR Kewilepa

CHAIN
  IF ~Global("Kidwilleapar","GLOBAL",0)
  See("Player1")
  Global("Iwillgo","GLOBAL",1)
  !StateCheck("Player1",STATE_SLEEPING)~ THEN BKIDO Kiwilepa
  @303
DO ~ SetGlobal("Kidwilleapar","GLOBAL",1) LeaveParty() EscapeArea()~
EXIT

APPEND BKELDOR
  IF ~Global("Kelwilleapar","GLOBAL",0)
  See("Player1")
  Global("Iwillgo","GLOBAL",1)
  !StateCheck("Player1",STATE_SLEEPING)~ THEN BEGIN Kewilepa
 SAY @304
 IF ~~ THEN DO ~SetGlobal("Kelwilleapar","GLOBAL",1) LeaveParty() EscapeArea()~ EXIT
END
END
